# oVirt UI Plugin

## General

Integration with the oVirt Virtualization interface allows administrators to perform most of the basic operations without logging into the Storware Backup & Recovery dashboard.

After installation (which is described at the end of this article) you will see a new tab "VM Backups" in the oVirt menu.

![](/files/7T6mVYFlofDwTxyRgCRi)

### Dashboard

As usual, it contains a short summary of the environment along with a handful of statistics.

![](/files/sWtDyCmYz8NCXqosrcct)

You can also see the data summary of the backup destination.

![](/files/jPRl6aFHR8gOsoqw2T85)

### Virtual Machines

This tab shows all inventoried virtual machines in your oVirt environment. Besides, you can also perform the basic backup or restore operations.

![](/files/sonBE7oojgDXmxkp48cI)

But that's not all, you can also go into the details of the virtual machine by clicking on its name:

![](/files/UWcHiNrEVb0JtItba4kp)

Backup window view:

![](/files/Gv7OxY6zqUpnC5a4C6nJ)

### Task console

Basic information about current tasks performed by Storware Backup & Recovery.

![](/files/ziKqeTRBbYH6gl9MoEOx)

### Policies

Allows you to create policies for VM's backups and snapshots. It basically has the same functionalities as Storware Backup & Recovery WebUI.

![](/files/gQ0tRUOyLaNV3YEBFuVF)

### Schedules

As with the policies tab, it allows you to create schedules for the created rules.

![](/files/46ro6rlKkYdbssQw8pKN)

### Mounted Backups

Finally, you can also browse your mounted backups from the oVirt dashboard. You only need to enter the backup details using the menu on the right.

![](/files/oqFh8jwmOi5CNWubhIc2)

From here we can see the basic information about the backup and start browsing the files using the "Browse" button on the right.

![](/files/KBd2LYhDnTyROg2anxjk)

Just select a folder or file and then press the "download selected" button to have the files on your computer.

![](/files/picHK5PUQyD0ucFdwtLD)

## Installation

1. You can find the add-on in the [GitHub repository](https://github.com/Storware/ovirt-engine-ui-vprotect-extensions). Follow the instructions in the README to build or download the plugin. Then extract the provided archive onto your oVirt manager.
2. In the file `vprotect.json` edit these lines in the config part:
   * `Storware_URL` - the URL to Storware Backup & Recovery API
   * `username` - the name of admin in Storware Backup & Recovery
   * `password` - the admin password in Storware Backup & Recovery

**Example**:

```
   {
      "name": "vprotect",
      "url": "plugin/vprotect/plugin.html",
      "resourcePath": "vprotect-resources",
      "lazyLoad": false,

      "config": {
          "vProtectURL": "http://10.40.0.55:8080/api",
          "username": "admin",
          "password": "vPr0tect"
       }
   }
```

1. Put the `vprotect.json` file and `vprotect-resources` directory in the `/usr/share/ovirt-engine/ui-plugins` directory in the oVirt Engine.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storware.eu/integrations-plugins/ovirt-plugin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
